
package de.bsvrz.sys.startstopp.api.jsonschema;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;
import com.fasterxml.jackson.annotation.JsonAnyGetter;
import com.fasterxml.jackson.annotation.JsonAnySetter;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "pid"
})
public class Usv implements Serializable
{

    /**
     * 
     * (Required)
     * 
     */
    @JsonProperty("pid")
    private String pid;
    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();
    private final static long serialVersionUID = 7560435951072023890L;

    /**
     * No args constructor for use in serialization
     * 
     */
    public Usv() {
    }

    /**
     * 
     * @param pid
     */
    public Usv(String pid) {
        super();
        this.pid = pid;
    }

    /**
     * 
     * (Required)
     * 
     */
    @JsonProperty("pid")
    public String getPid() {
        return pid;
    }

    /**
     * 
     * (Required)
     * 
     */
    @JsonProperty("pid")
    public void setPid(String pid) {
        this.pid = pid;
    }

    public Usv withPid(String pid) {
        this.pid = pid;
        return this;
    }

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {
        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {
        this.additionalProperties.put(name, value);
    }

    public Usv withAdditionalProperty(String name, Object value) {
        this.additionalProperties.put(name, value);
        return this;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this).append("pid", pid).append("additionalProperties", additionalProperties).toString();
    }

    @Override
    public int hashCode() {
        return new HashCodeBuilder().append(pid).append(additionalProperties).toHashCode();
    }

    @Override
    public boolean equals(Object other) {
        if (other == this) {
            return true;
        }
        if ((other instanceof Usv) == false) {
            return false;
        }
        Usv rhs = ((Usv) other);
        return new EqualsBuilder().append(pid, rhs.pid).append(additionalProperties, rhs.additionalProperties).isEquals();
    }

}
